Subject: Re: [BUG?] Detaching head at checked out point does not work.

From: Jan Hudec <[email-masked]>
Date: Sat, 12 May 2007 21:18:33 +0200

On Sat, May 12, 2007 at 11:26:53 -0700, Junio C Hamano wrote:
> Jan Hudec <[email-masked]> writes:
> 
> > Hello,
> >
> > I can correctly detach head by saying:
> >
> >   git checkout master^0
> >
> > (or git checkout master^{} or git checkout refs/heads/master), but NONE of
> > these work, if I currently have master checked out. Shouldn't it detach
> > anyway?
> 
> Yes, and it does as far as I know.
> 
> Do you have 3e0318a3?

It does not seem to be in 1.5.1.4, so no, I don't.

I apologise for not looking whether head has a fix.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>